#
#       Makefile for bin
#       

include ../Mkinclude

PROGRAM	= gt3frt

INSTSRC = gtmlt gtdiv gtsub gtset gtcon gtadd gtshow gtcreate gtskelton \
	  gtcont gtcurv gtvect gtavr gtext gtsel gtseq gtintrp gtaxis gthead \
	  gtxpwspct gtstrm gttheta gts2p gtslp gtrelh gtqsat gtsqrt gtedy \
          gtint2 gtint1 gttv gtthetae gtbpf gtcrax gtfunc gthydro gtimis gtmask \
	  gtscat gtmark gtmxmn gtstfilt gtstspct gtstspct_old gtonth2 gtpv2

all: $(PROGRAM)

gt3frt: gt3frt.tmpl
	@echo "Making shell script gt3frt"
	@sed -e "s?@STDLIBS?$(STDLIBS)?" \
	     -e "s?@STDXLIBS?$(STDXLIBS)?" \
	     -e "s?@STDFFLAGS?$(STDFFLAGS)?" \
	     -e "s?@FC?$(FC)?" \
	     gt3frt.tmpl > gt3frt
	@chmod +x gt3frt

install:
	@-if (test $(BINDIR) != $(BINDEST)) then \
	$(INSTALL) $(PROGRAM) $(BINDEST); fi

clean:
	$(RM) *~ $(PROGRAM) core

clean.all:
	$(RM) *~ $(PROGRAM) $(INSTSRC) core


